Apache JMeter

## org.apache.jmeter.report.gui.action
Class ReportDragNDrop

    java.lang.Object
      org.apache.jmeter.report.gui.action.AbstractAction
          org.apache.jmeter.report.gui.action.ReportDragNDrop

All Implemented Interfaces:
  Command

    public class ReportDragNDrop

extends AbstractAction

Field Summary
`static String` `ADD`
`static String` `INSERT_AFTER`
`static String` `INSERT_BEFORE`

Constructor Summary
`ReportDragNDrop()`

Method Summary
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()`
`protected void` `removeNodesFromParents(ReportTreeNode[] nodes)`

Methods inherited from class org.apache.jmeter.report.gui.action.AbstractAction
`popupShouldSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD

    public static final String ADD

See Also:
  Constant Field Values

### INSERT_BEFORE

    public static final String INSERT_BEFORE

See Also:
  Constant Field Values

### INSERT_AFTER

    public static final String INSERT_AFTER

See Also:
  Constant Field Values

Constructor Detail

### ReportDragNDrop

    public ReportDragNDrop()

Method Detail

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`
  Overrides:
    `doAction` in class `AbstractAction`
  See Also:
    `Command.doAction(ActionEvent)`

### removeNodesFromParents

    protected void removeNodesFromParents(ReportTreeNode[] nodes)

### getActionNames

    public Set<String> getActionNames()

  Specified by:
    `getActionNames` in interface `Command`
  Specified by:
    `getActionNames` in class `AbstractAction`
  See Also:
    `Command.getActionNames()`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.